package com.ibm.ccl.ua.generators.sitexml;

/*******************************************************************************
 * Copyright (c) 2000, 2007 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

import java.io.IOException;
import java.util.Enumeration;
import java.util.Hashtable;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
/**
 * Servlet to handle live help action requests
 */
public class CategoryMapServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
	CategoryMappingHandler mappingHandler = new CategoryMappingHandler();
	Hashtable categoryMappings = mappingHandler.getCategoryMappingsHash();

	
	/**
	 */
	public void init() throws ServletException {
		
	}

	/**
	 * Called by the server (via the <code>service</code> method) to allow a
	 * servlet to handle a GET request.
	 */
	protected void doGet(HttpServletRequest req, HttpServletResponse resp)
			throws ServletException, IOException {
		
		
		//req.setCharacterEncoding("UTF-8"); //$NON-NLS-1$
		resp.setContentType("text/html"); //$NON-NLS-1$
		String categoryMappingList="";
		Enumeration mapKeys= categoryMappings.keys();
		String currMapKey,currMapValue;
		while(mapKeys.hasMoreElements())
		{
			currMapKey=(String)mapKeys.nextElement();
			currMapValue=(String)categoryMappings.get(currMapKey);
			
			//Entry not yet in map list.  Add to list.
				if(categoryMappingList.equals(""))
				{
					categoryMappingList=currMapKey+","+currMapValue;
				}
				else
				{
					categoryMappingList=categoryMappingList+","+currMapKey+","+currMapValue;
				}
		}		
			
		resp.getWriter().write(categoryMappingList);
		
	
				
	}
	/**
	 * 
	 * Called by the server (via the <code>service</code> method) to allow a
	 * servlet to handle a POST request.
	 * 
	 * Handle the search requests,
	 *  
	 */
	protected void doPost(HttpServletRequest req, HttpServletResponse resp)
			throws ServletException, IOException {
		doGet(req, resp);
	}
	
	
}

